# Лабораторная работа №1

## Описание
Для выполнения данной лабораторной работы были развернуты следующие сервисы: 
 - mediawiki - Вики-движок;
 - mariadb - БД для сервиса mediawiki;
 - drupal - Система управления контентом;
 - postgres - БД для сервиса drupal.

В файле docker-compose прописаны инструкции для запуска четырех контейнеров с сервисами.
Для пояснения инструкций для каждой строки добавлены комментарии с объяснением.

## Запуск
Для запуска необходимо перейти в папку с файлом docker-compose и ввести команду в терминале
```
docker compose up -d
```
Флаг -d позволяет запустить контейнеры в фоновом режиме, оставляя доступ к консоли.

Для полноценного первого запуска сервиса drupal необходимо открыть его веб-клиент и следовать инструкциям.
Для полноценного первого запуска сервиса mediawiki необходимо открыть его веб-клиент после запуска и следовать инструкциям по настройке.
После получения файла LocalSettings.php необходимо:
 - расскоментировать строчку ./LocalSettings.php:/var/www/html/LocalSettings.php в docker-compose
 - перенести файл в директорию с файлом docker-compose и перезапустить контейнер.

Для проверки контейнеров после запуска можно использовать команду
```
docker ps -a
```
В случае если все контейнеры успешно запущены мы увидим в их в консоли со статусом Up
```
CONTAINER ID   IMAGE              COMMAND                  CREATED          STATUS          PORTS                  NAMES
e86a2cd3b071   mediawiki          "docker-php-entrypoi…"   42 seconds ago   Up 39 seconds   0.0.0.0:8080->80/tcp   mochalov_danila_lab_1-mediawiki-1
260ca4b612fe   postgres:16        "docker-entrypoint.s…"   42 seconds ago   Up 41 seconds   5432/tcp               mochalov_danila_lab_1-postgres-1
1fbd6c3922e2   mariadb            "docker-entrypoint.s…"   42 seconds ago   Up 41 seconds   3306/tcp               mochalov_danila_lab_1-mariadb-1
a7d4e194a30a   drupal:10-apache   "docker-php-entrypoi…"   42 seconds ago   Up 40 seconds   0.0.0.0:3000->80/tcp   mochalov_danila_lab_1-drupal-1
```

## Демонстрация работы 
Для демонстрации работоспособности записан ролик. Доступ по [ссылке] (https://drive.google.com/file/d/1GkJSwaoSUjggKQIRJlNQtJ12QEDtium6/view?usp=sharing)
